Summary:   General dimension convex hull programs
Name:      qhull
Version: 8.0.2
Release: 3%{?dist}
License:   Qhull
URL:       http://www.qhull.org
Source0:   https://github.com/qhull/qhull/archive/v%{version}.tar.gz

# upstream patch, delete after next upgrade.
# https://github.com/qhull/qhull/commit/a5d0e644ee886251cec5d05948502517e154a9e1
Patch0001: qhull-staticr-pic.patch
# https://github.com/qhull/qhull/commit/67d231c872aa1bae892e5da9646a10b303477039
Patch0002: qhull-lib64.patch

Patch3000: qhull-install.patch

BuildRequires: make gcc gcc-c++ cmake
BuildRequires: chrpath

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package -n libqhull
Summary: General dimension convex hull programs

%description -n libqhull
General dimension convex hull programs

%package -n libqhull_r
Summary: General dimension convex hull programs

%description -n libqhull_r
General dimension convex hull programs

%package -n libqhull_p
Summary: General dimension convex hull programs

%description -n libqhull_p
General dimension convex hull programs

%package devel
Summary: Development files for qhull
Requires: lib%{name} = %{version}-%{release}
Requires: lib%{name}_r = %{version}-%{release}
Requires: lib%{name}_p = %{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%prep
%autosetup -p1

%build
mkdir -p build
cd build
%cmake -S .. -B . -DLINK_APPS_SHARED=ON
%make_build
%make_build libqhull qhull_p
cd ..

%install
cd build
%make_install
cd ..

chrpath --delete %{buildroot}%{_libdir}/lib*.so.*


%files
%license COPYING.txt
%{_bindir}/*
%{_pkgdocdir}
%{_mandir}/man1/*

%files -n libqhull
%{_libdir}/libqhull.so.*

%files -n libqhull_r
%{_libdir}/libqhull_r.so.*

%files -n libqhull_p
%{_libdir}/libqhull_p.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libqhullcpp.a
%exclude %{_libdir}/libqhullstatic*.a
%{_includedir}/*


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.0.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Aug 21 2023 cunshunxia <cunshunxia@tencent.com> - 8.0.2-1
- upgrade to 8.0.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.2.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Miaojun Dong <zoedong@tencent.com> - 7.2.1-1
- initial build
